#
# spec file for package usbvision (Version 0.9.8.3)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# nodebuginfo
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kernel-source kernel-syms klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           usbvision
BuildRequires:  kernel-source kernel-syms
License:        GNU General Public License (GPL)
Group:          Hardware/TV
Provides:       nt1003-driver
Autoreqprov:    on
URL:            http://usbvision.sourceforge.net
Version:        0.9.8.3
Release:        0.1
Summary:        Driver Source Code for the Zoran and Nogatech USB Grabber
Source:         usbvision-cvs-20061113.tar.bz2
# Patch:          usbvision-copyright.diff
Patch1:         usbvision-modsetver.diff
Patch2:         usbvision-allow384.diff
Patch3:         usbvision-km_Makefile.patch
# Patch4:         usbvision-buildfix.diff
Patch5:         usbvision-20061113-module_param.diff
Patch6:         usbvision-219740.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%suse_kernel_module_package kdump um

%description
Linux device driver for the Zoran and Nogatech USBVision video grabber.
This is a driver for the USBVision video grabber, a USB-only cable used
in many "webcam" devices. It supports streaming and capture of color or
monochrome video via the Video4Linux API. Most V4L apps are compatible
with it, but a few video-conferencing programs do not work yet.



Authors:
--------
    Jrg Heckenbach <joerg@heckenbach-aw.de>
    Dwaine Garden <dwainegarden@rogers.com>

%package KMP
Summary:        kernel modules for the Zoran and Nogatech USB Grabber
Group:          System/Kernel

%description KMP
Linux device driver for the Zoran and Nogatech USBVision video grabber.
This is a driver for the USBVision video grabber, a USB-only cable used
in many "webcam" devices. It supports streaming and capture of color or
monochrome video via the Video4Linux API. Most V4L apps are compatible
with it, but a few video-conferencing programs do not work yet.



Authors:
--------
    Jrg Heckenbach <joerg@heckenbach-aw.de>
    Dwaine Garden <dwainegarden@rogers.com>

%prep
%setup -q -n usbvision-cvs-20061113
# %patch0 -p1	upstreamed
%patch1 -p1
%patch2 -p1
%patch3
# %patch4	upstreamed
%patch5 -p1
%patch6 -p1
find -name "*.orig" | xargs -r rm -rfv
mkdir obj

%build
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r src obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
         M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
         M=$PWD/obj/$flavor
done

%clean
rm -rf %{buildroot}

%changelog
* Tue Nov 14 2006 - jw@suse.de
- fixed bugzilla #219740
- updated to CVS to obsolete two upstreamed patches.
* Mon Apr 03 2006 - ro@suse.de
- use module_param instead of MOUDLE_PARM
* Tue Feb 07 2006 - ro@suse.de
- skip debuginfo package
  there is no main package we could attach to/require
* Fri Feb 03 2006 - ro@suse.de
- update to CVS
- change to kernel module package (KMP)
- fix build
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Aug 29 2005 - ro@suse.de
- update to cvs to fix build with current kernel
* Wed Jun 01 2005 - ro@suse.de
- do not build kernel modules for kernel-um
* Thu Feb 17 2005 - ro@suse.de
- update to 0.9.8
* Thu Sep 30 2004 - agruen@suse.de
- Should not require the kernel-source package: kernel-source is
  not present when building binary kernels.
* Tue Jun 17 2003 - ro@suse.de
- added missing directories to filelist
* Tue Jun 10 2003 - ro@suse.de
- remove cvs subdirs
* Wed Mar 19 2003 - jw@suse.de
- packaged from cvs.sf.net/packages/usbvision in agreement with
  author (joerg@heckenbach-aw.de)
- GPL visibility increased.
- modsetver.h no longer included, it collides with module.h
- max size was 320x240 which is below CIF, now 384x288, which is above.
